---
updatedAt: 2026-06-15T13:51:20.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Update specified distribution point object


Updates the specified object configuration of a File Share Distribution Point in Jamf Pro. ID path parameter is mandatory and other fields can be updated as a whole or with minimal object.


> 📋 **Required privileges:**
> - Read Distribution Points
> - Update Distribution Points

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Jamf Pro API",
    "termsOfService": "https://www.jamf.com/developer-resources/api-license-agreement",
    "version": "11.32.0"
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/api"
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "security": [
    {
      "Bearer": []
    },
    {
      "ApiClient": []
    },
    {
      "BasicAuth": [
        "/v1/auth/token"
      ]
    }
  ],
  "paths": {
    "/v1/distribution-points/{id}": {
      "patch": {
        "tags": [
          "distribution-point"
        ],
        "summary": "Update specified distribution point object\n",
        "description": "Updates the specified object configuration of a File Share Distribution Point in Jamf Pro. ID path parameter is mandatory and other fields can be updated as a whole or with minimal object.\n\n\n> 📋 **Required privileges:**\n> - Read Distribution Points\n> - Update Distribution Points",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Instance id of distribution point",
            "required": true,
            "style": "simple",
            "explode": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "distribution point object to update.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/DistributionPoint"
              }
            }
          },
          "required": true
        },
        "responses": {
          "202": {
            "description": "distribution point updated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DistributionPoint"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                }
              }
            }
          },
          "404": {
            "description": "The specified distribution point id doesn't exist in database or invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                }
              }
            }
          }
        },
        "x-required-privileges": [
          "Read Distribution Points",
          "Update Distribution Points"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ApiError": {
        "type": "object",
        "properties": {
          "httpStatus": {
            "type": "integer",
            "description": "HTTP status of the response",
            "example": 400
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ApiErrorCause"
            }
          }
        }
      },
      "ApiErrorCause": {
        "required": [
          "field"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error-specific code that can be used to identify localization string, etc.",
            "example": "8675309"
          },
          "field": {
            "type": "string",
            "description": "Name of the field that caused the error.",
            "example": "Name"
          },
          "description": {
            "type": "string",
            "description": "A general description of error for troubleshooting/debugging. Generally this text should not be displayed to a user; instead refer to errorCode and it's localized text",
            "example": "I've just picked up a fault in the AE35 unit. It's going to go 100% failure in 72 hours"
          },
          "id": {
            "type": "string",
            "description": "id of object with error. Optional.",
            "nullable": true,
            "example": "3"
          }
        }
      },
      "DistributionPoint": {
        "required": [
          "fileSharingConnectionType",
          "name",
          "serverName"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "readOnly": true,
            "example": "1"
          },
          "name": {
            "type": "string",
            "example": "My distribution point"
          },
          "serverName": {
            "type": "string",
            "example": "My Server"
          },
          "principal": {
            "type": "boolean",
            "default": false
          },
          "backupDistributionPointId": {
            "type": "string",
            "default": "-1"
          },
          "sshUsername": {
            "type": "string",
            "example": "john.doe"
          },
          "sshPassword": {
            "type": "string",
            "format": "password",
            "writeOnly": true,
            "example": "password"
          },
          "localPathToShare": {
            "type": "string",
            "example": "/"
          },
          "fileSharingConnectionType": {
            "type": "string",
            "description": "Specify the type of connection , Either of  fileSharingConnectionType (or) https connection type needs to be enabled using httpsEnabled for a distribution point to be created.",
            "example": "AFP",
            "enum": [
              "AFP",
              "SMB",
              "NONE"
            ],
            "default": "NONE"
          },
          "shareName": {
            "type": "string",
            "description": "Required if fileSharingConnectionType is either AFP (or) SMB",
            "example": "My Share"
          },
          "workgroup": {
            "type": "string",
            "example": "WORKGROUP1"
          },
          "port": {
            "type": "integer",
            "description": "Required if fileSharingConnectionType is either AFP (or) SMB",
            "default": 139
          },
          "readWriteUsername": {
            "type": "string",
            "description": "Required if fileSharingConnectionType is either AFP (or) SMB",
            "example": "john.doe"
          },
          "readWritePassword": {
            "type": "string",
            "description": "Required if fileSharingConnectionType is either AFP (or) SMB",
            "format": "password",
            "writeOnly": true,
            "example": "password"
          },
          "readOnlyUsername": {
            "type": "string",
            "description": "Required if fileSharingConnectionType is either AFP (or) SMB",
            "example": "john.doe"
          },
          "readOnlyPassword": {
            "type": "string",
            "description": "Required if fileSharingConnectionType is either AFP (or) SMB",
            "format": "password",
            "writeOnly": true,
            "example": "password"
          },
          "httpsEnabled": {
            "type": "boolean",
            "description": "Allow downloads over HTTPS - requires installation of a valid SSL certificate",
            "default": false
          },
          "httpsPort": {
            "type": "integer",
            "description": "Port number of the server - required if HTTPS enabled",
            "default": 443
          },
          "httpsContext": {
            "type": "string",
            "description": "Path to the share (e.g. if the share is accessible at http://192.168.10.10/JamfShare, the context is \"JamfShare\") - required if HTTPS enabled",
            "example": "JamfShare"
          },
          "httpsSecurityType": {
            "type": "string",
            "description": "Type of authentication required to download files from the distribution point - required if HTTPS enabled",
            "enum": [
              "USERNAME_PASSWORD",
              "NONE"
            ],
            "default": "NONE"
          },
          "httpsUsername": {
            "type": "string",
            "description": "Required if httpsSecurityType is USERNAME_PASSWORD",
            "example": "admin"
          },
          "httpsPassword": {
            "type": "string",
            "description": "Required if httpsSecurityType is USERNAME_PASSWORD",
            "format": "password",
            "writeOnly": true,
            "example": "password"
          },
          "enableLoadBalancing": {
            "type": "boolean",
            "description": "This is used to configure load balancing on the backup distribution point. Cannot be enabled when the backup distribution point configured is cloud.",
            "default": false
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "BasicAuth": {
        "type": "http",
        "description": "Basic auth is used only for obtaining bearer tokens from the /v1/auth/token endpoint",
        "scheme": "basic"
      },
      "ApiClient": {
        "type": "oauth2",
        "description": "Jamf Pro API Roles and Clients provide a client ID and secret for obtaining access tokens using the OAuth2 client_credentials grant type",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/v1/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  }
}
```